#
# spec file for package python-parted
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        Python module for GNU parted
License:        GPL-2.0+
Group:          Development/Languages/Python
Name:           python-parted
%define srcname pyparted
Version:        3.10.7
Release:        lp151.2.40
Url:            http://fedorahosted.org/pyparted

Source0:        https://pypi.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
# catch exception for unknown 'disk flag', kkaempf@suse.de
Patch:          pyparted-3.10.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  parted-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel >= 2.7

%description
Python module for the parted library.  It is used for manipulating
partition tables.

%prep
%setup -q -n %{srcname}-%{version}
%patch -p1

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{python_sitearch}/_ped.so
%{python_sitearch}/parted
%{python_sitearch}/%{srcname}-%{version}-*.egg-info

%changelog
* Fri Mar 31 2017 cbosdonnat@suse.com
- Update to 3.10.7
* Sun Sep  6 2015 olaf@aepfle.de
- pyparted requires Python version 2.7 or higher
* Fri Jun 19 2015 termim@gmail.com
- Update to 3.10.5
  * bug fixes
- fix rpm group name
* Thu Nov  6 2014 cbosdonnat@suse.com
- Fixed indentation error in pyparted-3.10.patch
* Sun Feb  9 2014 kkaempf@suse.com
- catch 'unknown disk flag' exception
  add pyparted-3.10.patch
* Sat Feb  8 2014 kkaempf@suse.com
- Initial version 3.10
